#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include "cydevice.h"
#include "cydevice_trm.h"

/* LRC */
#define LRC__0__INTTYPE CYREG_PICU1_INTTYPE5
#define LRC__0__MASK 0x20u
#define LRC__0__PC CYREG_PRT1_PC5
#define LRC__0__PORT 1u
#define LRC__0__SHIFT 5
#define LRC__AG CYREG_PRT1_AG
#define LRC__AMUX CYREG_PRT1_AMUX
#define LRC__BIE CYREG_PRT1_BIE
#define LRC__BIT_MASK CYREG_PRT1_BIT_MASK
#define LRC__BYP CYREG_PRT1_BYP
#define LRC__CTL CYREG_PRT1_CTL
#define LRC__DM0 CYREG_PRT1_DM0
#define LRC__DM1 CYREG_PRT1_DM1
#define LRC__DM2 CYREG_PRT1_DM2
#define LRC__DR CYREG_PRT1_DR
#define LRC__INP_DIS CYREG_PRT1_INP_DIS
#define LRC__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU1_BASE
#define LRC__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define LRC__LCD_EN CYREG_PRT1_LCD_EN
#define LRC__MASK 0x20u
#define LRC__PORT 1u
#define LRC__PRT CYREG_PRT1_PRT
#define LRC__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define LRC__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define LRC__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define LRC__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define LRC__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define LRC__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define LRC__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define LRC__PS CYREG_PRT1_PS
#define LRC__SHIFT 5
#define LRC__SLW CYREG_PRT1_SLW

/* REC */
#define REC__0__INTTYPE CYREG_PICU12_INTTYPE5
#define REC__0__MASK 0x20u
#define REC__0__PC CYREG_PRT12_PC5
#define REC__0__PORT 12u
#define REC__0__SHIFT 5
#define REC__AG CYREG_PRT12_AG
#define REC__BIE CYREG_PRT12_BIE
#define REC__BIT_MASK CYREG_PRT12_BIT_MASK
#define REC__BYP CYREG_PRT12_BYP
#define REC__DM0 CYREG_PRT12_DM0
#define REC__DM1 CYREG_PRT12_DM1
#define REC__DM2 CYREG_PRT12_DM2
#define REC__DR CYREG_PRT12_DR
#define REC__INP_DIS CYREG_PRT12_INP_DIS
#define REC__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define REC__MASK 0x20u
#define REC__PORT 12u
#define REC__PRT CYREG_PRT12_PRT
#define REC__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define REC__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define REC__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define REC__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define REC__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define REC__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define REC__PS CYREG_PRT12_PS
#define REC__SHIFT 5
#define REC__SIO_CFG CYREG_PRT12_SIO_CFG
#define REC__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define REC__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define REC__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define REC__SLW CYREG_PRT12_SLW

/* REC_LED */
#define REC_LED__0__INTTYPE CYREG_PICU15_INTTYPE3
#define REC_LED__0__MASK 0x08u
#define REC_LED__0__PC CYREG_IO_PC_PRT15_PC3
#define REC_LED__0__PORT 15u
#define REC_LED__0__SHIFT 3
#define REC_LED__AG CYREG_PRT15_AG
#define REC_LED__AMUX CYREG_PRT15_AMUX
#define REC_LED__BIE CYREG_PRT15_BIE
#define REC_LED__BIT_MASK CYREG_PRT15_BIT_MASK
#define REC_LED__BYP CYREG_PRT15_BYP
#define REC_LED__CTL CYREG_PRT15_CTL
#define REC_LED__DM0 CYREG_PRT15_DM0
#define REC_LED__DM1 CYREG_PRT15_DM1
#define REC_LED__DM2 CYREG_PRT15_DM2
#define REC_LED__DR CYREG_PRT15_DR
#define REC_LED__INP_DIS CYREG_PRT15_INP_DIS
#define REC_LED__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU15_BASE
#define REC_LED__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define REC_LED__LCD_EN CYREG_PRT15_LCD_EN
#define REC_LED__MASK 0x08u
#define REC_LED__PORT 15u
#define REC_LED__PRT CYREG_PRT15_PRT
#define REC_LED__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define REC_LED__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define REC_LED__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define REC_LED__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define REC_LED__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define REC_LED__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define REC_LED__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define REC_LED__PS CYREG_PRT15_PS
#define REC_LED__SHIFT 3
#define REC_LED__SLW CYREG_PRT15_SLW

/* cen */
#define cen__0__INTTYPE CYREG_PICU12_INTTYPE6
#define cen__0__MASK 0x40u
#define cen__0__PC CYREG_PRT12_PC6
#define cen__0__PORT 12u
#define cen__0__SHIFT 6
#define cen__AG CYREG_PRT12_AG
#define cen__BIE CYREG_PRT12_BIE
#define cen__BIT_MASK CYREG_PRT12_BIT_MASK
#define cen__BYP CYREG_PRT12_BYP
#define cen__DM0 CYREG_PRT12_DM0
#define cen__DM1 CYREG_PRT12_DM1
#define cen__DM2 CYREG_PRT12_DM2
#define cen__DR CYREG_PRT12_DR
#define cen__INP_DIS CYREG_PRT12_INP_DIS
#define cen__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define cen__MASK 0x40u
#define cen__PORT 12u
#define cen__PRT CYREG_PRT12_PRT
#define cen__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define cen__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define cen__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define cen__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define cen__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define cen__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define cen__PS CYREG_PRT12_PS
#define cen__SHIFT 6
#define cen__SIO_CFG CYREG_PRT12_SIO_CFG
#define cen__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define cen__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define cen__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define cen__SLW CYREG_PRT12_SLW

/* oen */
#define oen__0__INTTYPE CYREG_PICU12_INTTYPE2
#define oen__0__MASK 0x04u
#define oen__0__PC CYREG_PRT12_PC2
#define oen__0__PORT 12u
#define oen__0__SHIFT 2
#define oen__AG CYREG_PRT12_AG
#define oen__BIE CYREG_PRT12_BIE
#define oen__BIT_MASK CYREG_PRT12_BIT_MASK
#define oen__BYP CYREG_PRT12_BYP
#define oen__DM0 CYREG_PRT12_DM0
#define oen__DM1 CYREG_PRT12_DM1
#define oen__DM2 CYREG_PRT12_DM2
#define oen__DR CYREG_PRT12_DR
#define oen__INP_DIS CYREG_PRT12_INP_DIS
#define oen__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define oen__MASK 0x04u
#define oen__PORT 12u
#define oen__PRT CYREG_PRT12_PRT
#define oen__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define oen__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define oen__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define oen__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define oen__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define oen__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define oen__PS CYREG_PRT12_PS
#define oen__SHIFT 2
#define oen__SIO_CFG CYREG_PRT12_SIO_CFG
#define oen__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define oen__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define oen__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define oen__SLW CYREG_PRT12_SLW

/* wen */
#define wen__0__INTTYPE CYREG_PICU12_INTTYPE3
#define wen__0__MASK 0x08u
#define wen__0__PC CYREG_PRT12_PC3
#define wen__0__PORT 12u
#define wen__0__SHIFT 3
#define wen__AG CYREG_PRT12_AG
#define wen__BIE CYREG_PRT12_BIE
#define wen__BIT_MASK CYREG_PRT12_BIT_MASK
#define wen__BYP CYREG_PRT12_BYP
#define wen__DM0 CYREG_PRT12_DM0
#define wen__DM1 CYREG_PRT12_DM1
#define wen__DM2 CYREG_PRT12_DM2
#define wen__DR CYREG_PRT12_DR
#define wen__INP_DIS CYREG_PRT12_INP_DIS
#define wen__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define wen__MASK 0x08u
#define wen__PORT 12u
#define wen__PRT CYREG_PRT12_PRT
#define wen__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define wen__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define wen__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define wen__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define wen__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define wen__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define wen__PS CYREG_PRT12_PS
#define wen__SHIFT 3
#define wen__SIO_CFG CYREG_PRT12_SIO_CFG
#define wen__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define wen__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define wen__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define wen__SLW CYREG_PRT12_SLW

/* BCLK */
#define BCLK__0__INTTYPE CYREG_PICU15_INTTYPE2
#define BCLK__0__MASK 0x04u
#define BCLK__0__PC CYREG_IO_PC_PRT15_PC2
#define BCLK__0__PORT 15u
#define BCLK__0__SHIFT 2
#define BCLK__AG CYREG_PRT15_AG
#define BCLK__AMUX CYREG_PRT15_AMUX
#define BCLK__BIE CYREG_PRT15_BIE
#define BCLK__BIT_MASK CYREG_PRT15_BIT_MASK
#define BCLK__BUS_CLK__HZ 66000000U
#define BCLK__BUS_CLK__KHZ 66000U
#define BCLK__BUS_CLK__MHZ 66U
#define BCLK__BYP CYREG_PRT15_BYP
#define BCLK__CTL CYREG_PRT15_CTL
#define BCLK__DM0 CYREG_PRT15_DM0
#define BCLK__DM1 CYREG_PRT15_DM1
#define BCLK__DM2 CYREG_PRT15_DM2
#define BCLK__DR CYREG_PRT15_DR
#define BCLK__INP_DIS CYREG_PRT15_INP_DIS
#define BCLK__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU15_BASE
#define BCLK__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define BCLK__LCD_EN CYREG_PRT15_LCD_EN
#define BCLK__MASK 0x04u
#define BCLK__PORT 15u
#define BCLK__PRT CYREG_PRT15_PRT
#define BCLK__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define BCLK__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define BCLK__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define BCLK__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define BCLK__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define BCLK__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define BCLK__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define BCLK__PS CYREG_PRT15_PS
#define BCLK__SHIFT 2
#define BCLK__SLW CYREG_PRT15_SLW

/* AF_IN */
#define AF_IN__0__INTTYPE CYREG_PICU1_INTTYPE7
#define AF_IN__0__MASK 0x80u
#define AF_IN__0__PC CYREG_PRT1_PC7
#define AF_IN__0__PORT 1u
#define AF_IN__0__SHIFT 7
#define AF_IN__AG CYREG_PRT1_AG
#define AF_IN__AMUX CYREG_PRT1_AMUX
#define AF_IN__BIE CYREG_PRT1_BIE
#define AF_IN__BIT_MASK CYREG_PRT1_BIT_MASK
#define AF_IN__BYP CYREG_PRT1_BYP
#define AF_IN__CTL CYREG_PRT1_CTL
#define AF_IN__DM0 CYREG_PRT1_DM0
#define AF_IN__DM1 CYREG_PRT1_DM1
#define AF_IN__DM2 CYREG_PRT1_DM2
#define AF_IN__DR CYREG_PRT1_DR
#define AF_IN__INP_DIS CYREG_PRT1_INP_DIS
#define AF_IN__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU1_BASE
#define AF_IN__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define AF_IN__LCD_EN CYREG_PRT1_LCD_EN
#define AF_IN__MASK 0x80u
#define AF_IN__PORT 1u
#define AF_IN__PRT CYREG_PRT1_PRT
#define AF_IN__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define AF_IN__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define AF_IN__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define AF_IN__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define AF_IN__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define AF_IN__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define AF_IN__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define AF_IN__PS CYREG_PRT1_PS
#define AF_IN__SHIFT 7
#define AF_IN__SLW CYREG_PRT1_SLW

/* CF_CD */
#define CF_CD__0__INTTYPE CYREG_PICU1_INTTYPE4
#define CF_CD__0__MASK 0x10u
#define CF_CD__0__PC CYREG_PRT1_PC4
#define CF_CD__0__PORT 1u
#define CF_CD__0__SHIFT 4
#define CF_CD__AG CYREG_PRT1_AG
#define CF_CD__AMUX CYREG_PRT1_AMUX
#define CF_CD__BIE CYREG_PRT1_BIE
#define CF_CD__BIT_MASK CYREG_PRT1_BIT_MASK
#define CF_CD__BYP CYREG_PRT1_BYP
#define CF_CD__CTL CYREG_PRT1_CTL
#define CF_CD__DM0 CYREG_PRT1_DM0
#define CF_CD__DM1 CYREG_PRT1_DM1
#define CF_CD__DM2 CYREG_PRT1_DM2
#define CF_CD__DR CYREG_PRT1_DR
#define CF_CD__INP_DIS CYREG_PRT1_INP_DIS
#define CF_CD__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU1_BASE
#define CF_CD__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define CF_CD__LCD_EN CYREG_PRT1_LCD_EN
#define CF_CD__MASK 0x10u
#define CF_CD__PORT 1u
#define CF_CD__PRT CYREG_PRT1_PRT
#define CF_CD__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define CF_CD__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define CF_CD__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define CF_CD__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define CF_CD__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define CF_CD__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define CF_CD__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define CF_CD__PS CYREG_PRT1_PS
#define CF_CD__SHIFT 4
#define CF_CD__SLW CYREG_PRT1_SLW

/* CF_CS */
#define CF_CS__0__INTTYPE CYREG_PICU12_INTTYPE7
#define CF_CS__0__MASK 0x80u
#define CF_CS__0__PC CYREG_PRT12_PC7
#define CF_CS__0__PORT 12u
#define CF_CS__0__SHIFT 7
#define CF_CS__AG CYREG_PRT12_AG
#define CF_CS__BIE CYREG_PRT12_BIE
#define CF_CS__BIT_MASK CYREG_PRT12_BIT_MASK
#define CF_CS__BYP CYREG_PRT12_BYP
#define CF_CS__DM0 CYREG_PRT12_DM0
#define CF_CS__DM1 CYREG_PRT12_DM1
#define CF_CS__DM2 CYREG_PRT12_DM2
#define CF_CS__DR CYREG_PRT12_DR
#define CF_CS__INP_DIS CYREG_PRT12_INP_DIS
#define CF_CS__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define CF_CS__MASK 0x80u
#define CF_CS__PORT 12u
#define CF_CS__PRT CYREG_PRT12_PRT
#define CF_CS__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define CF_CS__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define CF_CS__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define CF_CS__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define CF_CS__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define CF_CS__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define CF_CS__PS CYREG_PRT12_PS
#define CF_CS__SHIFT 7
#define CF_CS__SIO_CFG CYREG_PRT12_SIO_CFG
#define CF_CS__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define CF_CS__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define CF_CS__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define CF_CS__SLW CYREG_PRT12_SLW

/* I2C_1_I2C_FF */
#define I2C_1_I2C_FF__ADR CYREG_I2C_ADR
#define I2C_1_I2C_FF__CFG CYREG_I2C_CFG
#define I2C_1_I2C_FF__CLK_DIV1 CYREG_I2C_CLK_DIV1
#define I2C_1_I2C_FF__CLK_DIV2 CYREG_I2C_CLK_DIV2
#define I2C_1_I2C_FF__CSR CYREG_I2C_CSR
#define I2C_1_I2C_FF__D CYREG_I2C_D
#define I2C_1_I2C_FF__MCSR CYREG_I2C_MCSR
#define I2C_1_I2C_FF__PM_ACT_CFG CYREG_PM_ACT_CFG5
#define I2C_1_I2C_FF__PM_ACT_MSK 0x04u
#define I2C_1_I2C_FF__PM_STBY_CFG CYREG_PM_STBY_CFG5
#define I2C_1_I2C_FF__PM_STBY_MSK 0x04u
#define I2C_1_I2C_FF__XCFG CYREG_I2C_XCFG

/* I2C_1_I2C_IRQ */
#define I2C_1_I2C_IRQ__ES2_PATCH 0u
#define I2C_1_I2C_IRQ__INTC_CLR_EN_REG CYREG_INTC_CLR_EN1
#define I2C_1_I2C_IRQ__INTC_CLR_PD_REG CYREG_INTC_CLR_PD1
#define I2C_1_I2C_IRQ__INTC_MASK 0x80u
#define I2C_1_I2C_IRQ__INTC_NUMBER 15u
#define I2C_1_I2C_IRQ__INTC_PRIOR_NUM 7u
#define I2C_1_I2C_IRQ__INTC_PRIOR_REG CYREG_INTC_PRIOR15
#define I2C_1_I2C_IRQ__INTC_SET_EN_REG CYREG_INTC_SET_EN1
#define I2C_1_I2C_IRQ__INTC_SET_PD_REG CYREG_INTC_SET_PD1
#define I2C_1_I2C_IRQ__INTC_VECT (CYREG_INTC_VECT_MBASE+0x1Eu)

/* Pin_1 */
#define Pin_1__0__INTTYPE CYREG_PICU15_INTTYPE1
#define Pin_1__0__MASK 0x02u
#define Pin_1__0__PC CYREG_IO_PC_PRT15_PC1
#define Pin_1__0__PORT 15u
#define Pin_1__0__SHIFT 1
#define Pin_1__AG CYREG_PRT15_AG
#define Pin_1__AMUX CYREG_PRT15_AMUX
#define Pin_1__BIE CYREG_PRT15_BIE
#define Pin_1__BIT_MASK CYREG_PRT15_BIT_MASK
#define Pin_1__BYP CYREG_PRT15_BYP
#define Pin_1__CTL CYREG_PRT15_CTL
#define Pin_1__DM0 CYREG_PRT15_DM0
#define Pin_1__DM1 CYREG_PRT15_DM1
#define Pin_1__DM2 CYREG_PRT15_DM2
#define Pin_1__DR CYREG_PRT15_DR
#define Pin_1__INP_DIS CYREG_PRT15_INP_DIS
#define Pin_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU15_BASE
#define Pin_1__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define Pin_1__LCD_EN CYREG_PRT15_LCD_EN
#define Pin_1__MASK 0x02u
#define Pin_1__PORT 15u
#define Pin_1__PRT CYREG_PRT15_PRT
#define Pin_1__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define Pin_1__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define Pin_1__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define Pin_1__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define Pin_1__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define Pin_1__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define Pin_1__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define Pin_1__PS CYREG_PRT15_PS
#define Pin_1__SHIFT 1
#define Pin_1__SLW CYREG_PRT15_SLW

/* SCL_1 */
#define SCL_1__0__INTTYPE CYREG_PICU12_INTTYPE0
#define SCL_1__0__MASK 0x01u
#define SCL_1__0__PC CYREG_PRT12_PC0
#define SCL_1__0__PORT 12u
#define SCL_1__0__SHIFT 0
#define SCL_1__AG CYREG_PRT12_AG
#define SCL_1__BIE CYREG_PRT12_BIE
#define SCL_1__BIT_MASK CYREG_PRT12_BIT_MASK
#define SCL_1__BYP CYREG_PRT12_BYP
#define SCL_1__DM0 CYREG_PRT12_DM0
#define SCL_1__DM1 CYREG_PRT12_DM1
#define SCL_1__DM2 CYREG_PRT12_DM2
#define SCL_1__DR CYREG_PRT12_DR
#define SCL_1__INP_DIS CYREG_PRT12_INP_DIS
#define SCL_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define SCL_1__MASK 0x01u
#define SCL_1__PORT 12u
#define SCL_1__PRT CYREG_PRT12_PRT
#define SCL_1__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define SCL_1__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define SCL_1__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define SCL_1__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define SCL_1__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define SCL_1__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define SCL_1__PS CYREG_PRT12_PS
#define SCL_1__SHIFT 0
#define SCL_1__SIO_CFG CYREG_PRT12_SIO_CFG
#define SCL_1__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define SCL_1__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define SCL_1__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define SCL_1__SLW CYREG_PRT12_SLW

/* SDA_1 */
#define SDA_1__0__INTTYPE CYREG_PICU12_INTTYPE1
#define SDA_1__0__MASK 0x02u
#define SDA_1__0__PC CYREG_PRT12_PC1
#define SDA_1__0__PORT 12u
#define SDA_1__0__SHIFT 1
#define SDA_1__AG CYREG_PRT12_AG
#define SDA_1__BIE CYREG_PRT12_BIE
#define SDA_1__BIT_MASK CYREG_PRT12_BIT_MASK
#define SDA_1__BYP CYREG_PRT12_BYP
#define SDA_1__DM0 CYREG_PRT12_DM0
#define SDA_1__DM1 CYREG_PRT12_DM1
#define SDA_1__DM2 CYREG_PRT12_DM2
#define SDA_1__DR CYREG_PRT12_DR
#define SDA_1__INP_DIS CYREG_PRT12_INP_DIS
#define SDA_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define SDA_1__MASK 0x02u
#define SDA_1__PORT 12u
#define SDA_1__PRT CYREG_PRT12_PRT
#define SDA_1__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define SDA_1__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define SDA_1__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define SDA_1__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define SDA_1__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define SDA_1__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define SDA_1__PS CYREG_PRT12_PS
#define SDA_1__SHIFT 1
#define SDA_1__SIO_CFG CYREG_PRT12_SIO_CFG
#define SDA_1__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define SDA_1__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define SDA_1__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define SDA_1__SLW CYREG_PRT12_SLW

/* AF_OUT */
#define AF_OUT__0__INTTYPE CYREG_PICU15_INTTYPE7
#define AF_OUT__0__MASK 0x80u
#define AF_OUT__0__PC CYREG_IO_PC_PRT15_7_6_PC1
#define AF_OUT__0__PORT 15u
#define AF_OUT__0__SHIFT 7
#define AF_OUT__AG CYREG_PRT15_AG
#define AF_OUT__AMUX CYREG_PRT15_AMUX
#define AF_OUT__BIE CYREG_PRT15_BIE
#define AF_OUT__BIT_MASK CYREG_PRT15_BIT_MASK
#define AF_OUT__BYP CYREG_PRT15_BYP
#define AF_OUT__CTL CYREG_PRT15_CTL
#define AF_OUT__DM0 CYREG_PRT15_DM0
#define AF_OUT__DM1 CYREG_PRT15_DM1
#define AF_OUT__DM2 CYREG_PRT15_DM2
#define AF_OUT__DR CYREG_PRT15_DR
#define AF_OUT__INP_DIS CYREG_PRT15_INP_DIS
#define AF_OUT__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU15_BASE
#define AF_OUT__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define AF_OUT__LCD_EN CYREG_PRT15_LCD_EN
#define AF_OUT__MASK 0x80u
#define AF_OUT__PORT 15u
#define AF_OUT__PRT CYREG_PRT15_PRT
#define AF_OUT__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define AF_OUT__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define AF_OUT__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define AF_OUT__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define AF_OUT__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define AF_OUT__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define AF_OUT__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define AF_OUT__PS CYREG_PRT15_PS
#define AF_OUT__SHIFT 7
#define AF_OUT__SLW CYREG_PRT15_SLW

/* CF_RDY */
#define CF_RDY__0__INTTYPE CYREG_PICU1_INTTYPE2
#define CF_RDY__0__MASK 0x04u
#define CF_RDY__0__PC CYREG_PRT1_PC2
#define CF_RDY__0__PORT 1u
#define CF_RDY__0__SHIFT 2
#define CF_RDY__AG CYREG_PRT1_AG
#define CF_RDY__AMUX CYREG_PRT1_AMUX
#define CF_RDY__BIE CYREG_PRT1_BIE
#define CF_RDY__BIT_MASK CYREG_PRT1_BIT_MASK
#define CF_RDY__BYP CYREG_PRT1_BYP
#define CF_RDY__CTL CYREG_PRT1_CTL
#define CF_RDY__DM0 CYREG_PRT1_DM0
#define CF_RDY__DM1 CYREG_PRT1_DM1
#define CF_RDY__DM2 CYREG_PRT1_DM2
#define CF_RDY__DR CYREG_PRT1_DR
#define CF_RDY__INP_DIS CYREG_PRT1_INP_DIS
#define CF_RDY__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU1_BASE
#define CF_RDY__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define CF_RDY__LCD_EN CYREG_PRT1_LCD_EN
#define CF_RDY__MASK 0x04u
#define CF_RDY__PORT 1u
#define CF_RDY__PRT CYREG_PRT1_PRT
#define CF_RDY__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define CF_RDY__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define CF_RDY__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define CF_RDY__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define CF_RDY__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define CF_RDY__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define CF_RDY__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define CF_RDY__PS CYREG_PRT1_PS
#define CF_RDY__SHIFT 2
#define CF_RDY__SLW CYREG_PRT1_SLW

/* CF_REG */
#define CF_REG__0__INTTYPE CYREG_PICU15_INTTYPE4
#define CF_REG__0__MASK 0x10u
#define CF_REG__0__PC CYREG_IO_PC_PRT15_PC4
#define CF_REG__0__PORT 15u
#define CF_REG__0__SHIFT 4
#define CF_REG__AG CYREG_PRT15_AG
#define CF_REG__AMUX CYREG_PRT15_AMUX
#define CF_REG__BIE CYREG_PRT15_BIE
#define CF_REG__BIT_MASK CYREG_PRT15_BIT_MASK
#define CF_REG__BYP CYREG_PRT15_BYP
#define CF_REG__CTL CYREG_PRT15_CTL
#define CF_REG__DM0 CYREG_PRT15_DM0
#define CF_REG__DM1 CYREG_PRT15_DM1
#define CF_REG__DM2 CYREG_PRT15_DM2
#define CF_REG__DR CYREG_PRT15_DR
#define CF_REG__INP_DIS CYREG_PRT15_INP_DIS
#define CF_REG__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU15_BASE
#define CF_REG__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define CF_REG__LCD_EN CYREG_PRT15_LCD_EN
#define CF_REG__MASK 0x10u
#define CF_REG__PORT 15u
#define CF_REG__PRT CYREG_PRT15_PRT
#define CF_REG__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define CF_REG__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define CF_REG__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define CF_REG__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define CF_REG__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define CF_REG__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define CF_REG__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define CF_REG__PS CYREG_PRT15_PS
#define CF_REG__SHIFT 4
#define CF_REG__SLW CYREG_PRT15_SLW

/* EMIF_1_emif_Addr_lsb */
#define EMIF_1_emif_Addr_lsb__0__INTTYPE CYREG_PICU3_INTTYPE0
#define EMIF_1_emif_Addr_lsb__0__MASK 0x01u
#define EMIF_1_emif_Addr_lsb__0__PC CYREG_PRT3_PC0
#define EMIF_1_emif_Addr_lsb__0__PORT 3u
#define EMIF_1_emif_Addr_lsb__0__SHIFT 0
#define EMIF_1_emif_Addr_lsb__1__INTTYPE CYREG_PICU3_INTTYPE1
#define EMIF_1_emif_Addr_lsb__1__MASK 0x02u
#define EMIF_1_emif_Addr_lsb__1__PC CYREG_PRT3_PC1
#define EMIF_1_emif_Addr_lsb__1__PORT 3u
#define EMIF_1_emif_Addr_lsb__1__SHIFT 1
#define EMIF_1_emif_Addr_lsb__2__INTTYPE CYREG_PICU3_INTTYPE2
#define EMIF_1_emif_Addr_lsb__2__MASK 0x04u
#define EMIF_1_emif_Addr_lsb__2__PC CYREG_PRT3_PC2
#define EMIF_1_emif_Addr_lsb__2__PORT 3u
#define EMIF_1_emif_Addr_lsb__2__SHIFT 2
#define EMIF_1_emif_Addr_lsb__3__INTTYPE CYREG_PICU3_INTTYPE3
#define EMIF_1_emif_Addr_lsb__3__MASK 0x08u
#define EMIF_1_emif_Addr_lsb__3__PC CYREG_PRT3_PC3
#define EMIF_1_emif_Addr_lsb__3__PORT 3u
#define EMIF_1_emif_Addr_lsb__3__SHIFT 3
#define EMIF_1_emif_Addr_lsb__4__INTTYPE CYREG_PICU3_INTTYPE4
#define EMIF_1_emif_Addr_lsb__4__MASK 0x10u
#define EMIF_1_emif_Addr_lsb__4__PC CYREG_PRT3_PC4
#define EMIF_1_emif_Addr_lsb__4__PORT 3u
#define EMIF_1_emif_Addr_lsb__4__SHIFT 4
#define EMIF_1_emif_Addr_lsb__5__INTTYPE CYREG_PICU3_INTTYPE5
#define EMIF_1_emif_Addr_lsb__5__MASK 0x20u
#define EMIF_1_emif_Addr_lsb__5__PC CYREG_PRT3_PC5
#define EMIF_1_emif_Addr_lsb__5__PORT 3u
#define EMIF_1_emif_Addr_lsb__5__SHIFT 5
#define EMIF_1_emif_Addr_lsb__6__INTTYPE CYREG_PICU3_INTTYPE6
#define EMIF_1_emif_Addr_lsb__6__MASK 0x40u
#define EMIF_1_emif_Addr_lsb__6__PC CYREG_PRT3_PC6
#define EMIF_1_emif_Addr_lsb__6__PORT 3u
#define EMIF_1_emif_Addr_lsb__6__SHIFT 6
#define EMIF_1_emif_Addr_lsb__7__INTTYPE CYREG_PICU3_INTTYPE7
#define EMIF_1_emif_Addr_lsb__7__MASK 0x80u
#define EMIF_1_emif_Addr_lsb__7__PC CYREG_PRT3_PC7
#define EMIF_1_emif_Addr_lsb__7__PORT 3u
#define EMIF_1_emif_Addr_lsb__7__SHIFT 7
#define EMIF_1_emif_Addr_lsb__AG CYREG_PRT3_AG
#define EMIF_1_emif_Addr_lsb__AMUX CYREG_PRT3_AMUX
#define EMIF_1_emif_Addr_lsb__BIE CYREG_PRT3_BIE
#define EMIF_1_emif_Addr_lsb__BIT_MASK CYREG_PRT3_BIT_MASK
#define EMIF_1_emif_Addr_lsb__BYP CYREG_PRT3_BYP
#define EMIF_1_emif_Addr_lsb__CTL CYREG_PRT3_CTL
#define EMIF_1_emif_Addr_lsb__DM0 CYREG_PRT3_DM0
#define EMIF_1_emif_Addr_lsb__DM1 CYREG_PRT3_DM1
#define EMIF_1_emif_Addr_lsb__DM2 CYREG_PRT3_DM2
#define EMIF_1_emif_Addr_lsb__DR CYREG_PRT3_DR
#define EMIF_1_emif_Addr_lsb__INP_DIS CYREG_PRT3_INP_DIS
#define EMIF_1_emif_Addr_lsb__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU3_BASE
#define EMIF_1_emif_Addr_lsb__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define EMIF_1_emif_Addr_lsb__LCD_EN CYREG_PRT3_LCD_EN
#define EMIF_1_emif_Addr_lsb__MASK 0xFFu
#define EMIF_1_emif_Addr_lsb__PORT 3u
#define EMIF_1_emif_Addr_lsb__PRT CYREG_PRT3_PRT
#define EMIF_1_emif_Addr_lsb__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define EMIF_1_emif_Addr_lsb__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define EMIF_1_emif_Addr_lsb__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define EMIF_1_emif_Addr_lsb__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define EMIF_1_emif_Addr_lsb__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define EMIF_1_emif_Addr_lsb__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define EMIF_1_emif_Addr_lsb__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define EMIF_1_emif_Addr_lsb__PS CYREG_PRT3_PS
#define EMIF_1_emif_Addr_lsb__SHIFT 0
#define EMIF_1_emif_Addr_lsb__SLW CYREG_PRT3_SLW

/* EMIF_1_emif_Data_lsb */
#define EMIF_1_emif_Data_lsb__0__INTTYPE CYREG_PICU0_INTTYPE0
#define EMIF_1_emif_Data_lsb__0__MASK 0x01u
#define EMIF_1_emif_Data_lsb__0__PC CYREG_PRT0_PC0
#define EMIF_1_emif_Data_lsb__0__PORT 0u
#define EMIF_1_emif_Data_lsb__0__SHIFT 0
#define EMIF_1_emif_Data_lsb__1__INTTYPE CYREG_PICU0_INTTYPE1
#define EMIF_1_emif_Data_lsb__1__MASK 0x02u
#define EMIF_1_emif_Data_lsb__1__PC CYREG_PRT0_PC1
#define EMIF_1_emif_Data_lsb__1__PORT 0u
#define EMIF_1_emif_Data_lsb__1__SHIFT 1
#define EMIF_1_emif_Data_lsb__2__INTTYPE CYREG_PICU0_INTTYPE2
#define EMIF_1_emif_Data_lsb__2__MASK 0x04u
#define EMIF_1_emif_Data_lsb__2__PC CYREG_PRT0_PC2
#define EMIF_1_emif_Data_lsb__2__PORT 0u
#define EMIF_1_emif_Data_lsb__2__SHIFT 2
#define EMIF_1_emif_Data_lsb__3__INTTYPE CYREG_PICU0_INTTYPE3
#define EMIF_1_emif_Data_lsb__3__MASK 0x08u
#define EMIF_1_emif_Data_lsb__3__PC CYREG_PRT0_PC3
#define EMIF_1_emif_Data_lsb__3__PORT 0u
#define EMIF_1_emif_Data_lsb__3__SHIFT 3
#define EMIF_1_emif_Data_lsb__4__INTTYPE CYREG_PICU0_INTTYPE4
#define EMIF_1_emif_Data_lsb__4__MASK 0x10u
#define EMIF_1_emif_Data_lsb__4__PC CYREG_PRT0_PC4
#define EMIF_1_emif_Data_lsb__4__PORT 0u
#define EMIF_1_emif_Data_lsb__4__SHIFT 4
#define EMIF_1_emif_Data_lsb__5__INTTYPE CYREG_PICU0_INTTYPE5
#define EMIF_1_emif_Data_lsb__5__MASK 0x20u
#define EMIF_1_emif_Data_lsb__5__PC CYREG_PRT0_PC5
#define EMIF_1_emif_Data_lsb__5__PORT 0u
#define EMIF_1_emif_Data_lsb__5__SHIFT 5
#define EMIF_1_emif_Data_lsb__6__INTTYPE CYREG_PICU0_INTTYPE6
#define EMIF_1_emif_Data_lsb__6__MASK 0x40u
#define EMIF_1_emif_Data_lsb__6__PC CYREG_PRT0_PC6
#define EMIF_1_emif_Data_lsb__6__PORT 0u
#define EMIF_1_emif_Data_lsb__6__SHIFT 6
#define EMIF_1_emif_Data_lsb__7__INTTYPE CYREG_PICU0_INTTYPE7
#define EMIF_1_emif_Data_lsb__7__MASK 0x80u
#define EMIF_1_emif_Data_lsb__7__PC CYREG_PRT0_PC7
#define EMIF_1_emif_Data_lsb__7__PORT 0u
#define EMIF_1_emif_Data_lsb__7__SHIFT 7
#define EMIF_1_emif_Data_lsb__AG CYREG_PRT0_AG
#define EMIF_1_emif_Data_lsb__AMUX CYREG_PRT0_AMUX
#define EMIF_1_emif_Data_lsb__BIE CYREG_PRT0_BIE
#define EMIF_1_emif_Data_lsb__BIT_MASK CYREG_PRT0_BIT_MASK
#define EMIF_1_emif_Data_lsb__BYP CYREG_PRT0_BYP
#define EMIF_1_emif_Data_lsb__CTL CYREG_PRT0_CTL
#define EMIF_1_emif_Data_lsb__DM0 CYREG_PRT0_DM0
#define EMIF_1_emif_Data_lsb__DM1 CYREG_PRT0_DM1
#define EMIF_1_emif_Data_lsb__DM2 CYREG_PRT0_DM2
#define EMIF_1_emif_Data_lsb__DR CYREG_PRT0_DR
#define EMIF_1_emif_Data_lsb__INP_DIS CYREG_PRT0_INP_DIS
#define EMIF_1_emif_Data_lsb__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define EMIF_1_emif_Data_lsb__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define EMIF_1_emif_Data_lsb__LCD_EN CYREG_PRT0_LCD_EN
#define EMIF_1_emif_Data_lsb__MASK 0xFFu
#define EMIF_1_emif_Data_lsb__PORT 0u
#define EMIF_1_emif_Data_lsb__PRT CYREG_PRT0_PRT
#define EMIF_1_emif_Data_lsb__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define EMIF_1_emif_Data_lsb__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define EMIF_1_emif_Data_lsb__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define EMIF_1_emif_Data_lsb__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define EMIF_1_emif_Data_lsb__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define EMIF_1_emif_Data_lsb__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define EMIF_1_emif_Data_lsb__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define EMIF_1_emif_Data_lsb__PS CYREG_PRT0_PS
#define EMIF_1_emif_Data_lsb__SHIFT 0
#define EMIF_1_emif_Data_lsb__SLW CYREG_PRT0_SLW

/* EMIF_1_EMIF_ES3 */
#define EMIF_1_EMIF_ES3__CLOCK_EN CYREG_EMIF_CLOCK_EN
#define EMIF_1_EMIF_ES3__EM_TYPE CYREG_EMIF_EM_TYPE
#define EMIF_1_EMIF_ES3__MEM_DWN CYREG_EMIF_MEM_DWN
#define EMIF_1_EMIF_ES3__MEMCLK_DIV CYREG_EMIF_MEMCLK_DIV
#define EMIF_1_EMIF_ES3__NO_UDB CYREG_EMIF_NO_UDB
#define EMIF_1_EMIF_ES3__PM_ACT_CFG CYREG_PM_ACT_CFG5
#define EMIF_1_EMIF_ES3__PM_ACT_MSK 0x40u
#define EMIF_1_EMIF_ES3__PM_STBY_CFG CYREG_PM_STBY_CFG5
#define EMIF_1_EMIF_ES3__PM_STBY_MSK 0x40u
#define EMIF_1_EMIF_ES3__RP_WAIT_STATES CYREG_EMIF_RP_WAIT_STATES
#define EMIF_1_EMIF_ES3__WP_WAIT_STATES CYREG_EMIF_WP_WAIT_STATES

/* PLAY_UP */
#define PLAY_UP__0__INTTYPE CYREG_PICU15_INTTYPE0
#define PLAY_UP__0__MASK 0x01u
#define PLAY_UP__0__PC CYREG_IO_PC_PRT15_PC0
#define PLAY_UP__0__PORT 15u
#define PLAY_UP__0__SHIFT 0
#define PLAY_UP__AG CYREG_PRT15_AG
#define PLAY_UP__AMUX CYREG_PRT15_AMUX
#define PLAY_UP__BIE CYREG_PRT15_BIE
#define PLAY_UP__BIT_MASK CYREG_PRT15_BIT_MASK
#define PLAY_UP__BYP CYREG_PRT15_BYP
#define PLAY_UP__CTL CYREG_PRT15_CTL
#define PLAY_UP__DM0 CYREG_PRT15_DM0
#define PLAY_UP__DM1 CYREG_PRT15_DM1
#define PLAY_UP__DM2 CYREG_PRT15_DM2
#define PLAY_UP__DR CYREG_PRT15_DR
#define PLAY_UP__INP_DIS CYREG_PRT15_INP_DIS
#define PLAY_UP__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU15_BASE
#define PLAY_UP__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define PLAY_UP__LCD_EN CYREG_PRT15_LCD_EN
#define PLAY_UP__MASK 0x01u
#define PLAY_UP__PORT 15u
#define PLAY_UP__PRT CYREG_PRT15_PRT
#define PLAY_UP__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define PLAY_UP__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define PLAY_UP__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define PLAY_UP__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define PLAY_UP__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define PLAY_UP__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define PLAY_UP__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define PLAY_UP__PS CYREG_PRT15_PS
#define PLAY_UP__SHIFT 0
#define PLAY_UP__SLW CYREG_PRT15_SLW

/* CF_RESET */
#define CF_RESET__0__INTTYPE CYREG_PICU15_INTTYPE5
#define CF_RESET__0__MASK 0x20u
#define CF_RESET__0__PC CYREG_IO_PC_PRT15_PC5
#define CF_RESET__0__PORT 15u
#define CF_RESET__0__SHIFT 5
#define CF_RESET__AG CYREG_PRT15_AG
#define CF_RESET__AMUX CYREG_PRT15_AMUX
#define CF_RESET__BIE CYREG_PRT15_BIE
#define CF_RESET__BIT_MASK CYREG_PRT15_BIT_MASK
#define CF_RESET__BYP CYREG_PRT15_BYP
#define CF_RESET__CTL CYREG_PRT15_CTL
#define CF_RESET__DM0 CYREG_PRT15_DM0
#define CF_RESET__DM1 CYREG_PRT15_DM1
#define CF_RESET__DM2 CYREG_PRT15_DM2
#define CF_RESET__DR CYREG_PRT15_DR
#define CF_RESET__INP_DIS CYREG_PRT15_INP_DIS
#define CF_RESET__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU15_BASE
#define CF_RESET__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define CF_RESET__LCD_EN CYREG_PRT15_LCD_EN
#define CF_RESET__MASK 0x20u
#define CF_RESET__PORT 15u
#define CF_RESET__PRT CYREG_PRT15_PRT
#define CF_RESET__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define CF_RESET__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define CF_RESET__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define CF_RESET__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define CF_RESET__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define CF_RESET__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define CF_RESET__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define CF_RESET__PS CYREG_PRT15_PS
#define CF_RESET__SHIFT 5
#define CF_RESET__SLW CYREG_PRT15_SLW

/* EXEC_LED */
#define EXEC_LED__0__INTTYPE CYREG_PICU12_INTTYPE4
#define EXEC_LED__0__MASK 0x10u
#define EXEC_LED__0__PC CYREG_PRT12_PC4
#define EXEC_LED__0__PORT 12u
#define EXEC_LED__0__SHIFT 4
#define EXEC_LED__AG CYREG_PRT12_AG
#define EXEC_LED__BIE CYREG_PRT12_BIE
#define EXEC_LED__BIT_MASK CYREG_PRT12_BIT_MASK
#define EXEC_LED__BYP CYREG_PRT12_BYP
#define EXEC_LED__DM0 CYREG_PRT12_DM0
#define EXEC_LED__DM1 CYREG_PRT12_DM1
#define EXEC_LED__DM2 CYREG_PRT12_DM2
#define EXEC_LED__DR CYREG_PRT12_DR
#define EXEC_LED__INP_DIS CYREG_PRT12_INP_DIS
#define EXEC_LED__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define EXEC_LED__MASK 0x10u
#define EXEC_LED__PORT 12u
#define EXEC_LED__PRT CYREG_PRT12_PRT
#define EXEC_LED__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define EXEC_LED__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define EXEC_LED__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define EXEC_LED__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define EXEC_LED__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define EXEC_LED__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define EXEC_LED__PS CYREG_PRT12_PS
#define EXEC_LED__SHIFT 4
#define EXEC_LED__SIO_CFG CYREG_PRT12_SIO_CFG
#define EXEC_LED__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define EXEC_LED__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define EXEC_LED__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define EXEC_LED__SLW CYREG_PRT12_SLW

/* LCD_Char_LCDPort */
#define LCD_Char_LCDPort__0__INTTYPE CYREG_PICU2_INTTYPE0
#define LCD_Char_LCDPort__0__MASK 0x01u
#define LCD_Char_LCDPort__0__PC CYREG_PRT2_PC0
#define LCD_Char_LCDPort__0__PORT 2u
#define LCD_Char_LCDPort__0__SHIFT 0
#define LCD_Char_LCDPort__1__INTTYPE CYREG_PICU2_INTTYPE1
#define LCD_Char_LCDPort__1__MASK 0x02u
#define LCD_Char_LCDPort__1__PC CYREG_PRT2_PC1
#define LCD_Char_LCDPort__1__PORT 2u
#define LCD_Char_LCDPort__1__SHIFT 1
#define LCD_Char_LCDPort__2__INTTYPE CYREG_PICU2_INTTYPE2
#define LCD_Char_LCDPort__2__MASK 0x04u
#define LCD_Char_LCDPort__2__PC CYREG_PRT2_PC2
#define LCD_Char_LCDPort__2__PORT 2u
#define LCD_Char_LCDPort__2__SHIFT 2
#define LCD_Char_LCDPort__3__INTTYPE CYREG_PICU2_INTTYPE3
#define LCD_Char_LCDPort__3__MASK 0x08u
#define LCD_Char_LCDPort__3__PC CYREG_PRT2_PC3
#define LCD_Char_LCDPort__3__PORT 2u
#define LCD_Char_LCDPort__3__SHIFT 3
#define LCD_Char_LCDPort__4__INTTYPE CYREG_PICU2_INTTYPE4
#define LCD_Char_LCDPort__4__MASK 0x10u
#define LCD_Char_LCDPort__4__PC CYREG_PRT2_PC4
#define LCD_Char_LCDPort__4__PORT 2u
#define LCD_Char_LCDPort__4__SHIFT 4
#define LCD_Char_LCDPort__5__INTTYPE CYREG_PICU2_INTTYPE5
#define LCD_Char_LCDPort__5__MASK 0x20u
#define LCD_Char_LCDPort__5__PC CYREG_PRT2_PC5
#define LCD_Char_LCDPort__5__PORT 2u
#define LCD_Char_LCDPort__5__SHIFT 5
#define LCD_Char_LCDPort__6__INTTYPE CYREG_PICU2_INTTYPE6
#define LCD_Char_LCDPort__6__MASK 0x40u
#define LCD_Char_LCDPort__6__PC CYREG_PRT2_PC6
#define LCD_Char_LCDPort__6__PORT 2u
#define LCD_Char_LCDPort__6__SHIFT 6
#define LCD_Char_LCDPort__AG CYREG_PRT2_AG
#define LCD_Char_LCDPort__AMUX CYREG_PRT2_AMUX
#define LCD_Char_LCDPort__BIE CYREG_PRT2_BIE
#define LCD_Char_LCDPort__BIT_MASK CYREG_PRT2_BIT_MASK
#define LCD_Char_LCDPort__BYP CYREG_PRT2_BYP
#define LCD_Char_LCDPort__CTL CYREG_PRT2_CTL
#define LCD_Char_LCDPort__DM0 CYREG_PRT2_DM0
#define LCD_Char_LCDPort__DM1 CYREG_PRT2_DM1
#define LCD_Char_LCDPort__DM2 CYREG_PRT2_DM2
#define LCD_Char_LCDPort__DR CYREG_PRT2_DR
#define LCD_Char_LCDPort__INP_DIS CYREG_PRT2_INP_DIS
#define LCD_Char_LCDPort__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU2_BASE
#define LCD_Char_LCDPort__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LCD_Char_LCDPort__LCD_EN CYREG_PRT2_LCD_EN
#define LCD_Char_LCDPort__MASK 0x7Fu
#define LCD_Char_LCDPort__PORT 2u
#define LCD_Char_LCDPort__PRT CYREG_PRT2_PRT
#define LCD_Char_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LCD_Char_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LCD_Char_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LCD_Char_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LCD_Char_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LCD_Char_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LCD_Char_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LCD_Char_LCDPort__PS CYREG_PRT2_PS
#define LCD_Char_LCDPort__SHIFT 0
#define LCD_Char_LCDPort__SLW CYREG_PRT2_SLW

/* PLAY_LED */
#define PLAY_LED__0__INTTYPE CYREG_PICU15_INTTYPE6
#define PLAY_LED__0__MASK 0x40u
#define PLAY_LED__0__PC CYREG_IO_PC_PRT15_7_6_PC0
#define PLAY_LED__0__PORT 15u
#define PLAY_LED__0__SHIFT 6
#define PLAY_LED__AG CYREG_PRT15_AG
#define PLAY_LED__AMUX CYREG_PRT15_AMUX
#define PLAY_LED__BIE CYREG_PRT15_BIE
#define PLAY_LED__BIT_MASK CYREG_PRT15_BIT_MASK
#define PLAY_LED__BYP CYREG_PRT15_BYP
#define PLAY_LED__CTL CYREG_PRT15_CTL
#define PLAY_LED__DM0 CYREG_PRT15_DM0
#define PLAY_LED__DM1 CYREG_PRT15_DM1
#define PLAY_LED__DM2 CYREG_PRT15_DM2
#define PLAY_LED__DR CYREG_PRT15_DR
#define PLAY_LED__INP_DIS CYREG_PRT15_INP_DIS
#define PLAY_LED__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU15_BASE
#define PLAY_LED__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define PLAY_LED__LCD_EN CYREG_PRT15_LCD_EN
#define PLAY_LED__MASK 0x40u
#define PLAY_LED__PORT 15u
#define PLAY_LED__PRT CYREG_PRT15_PRT
#define PLAY_LED__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define PLAY_LED__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define PLAY_LED__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define PLAY_LED__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define PLAY_LED__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define PLAY_LED__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define PLAY_LED__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define PLAY_LED__PS CYREG_PRT15_PS
#define PLAY_LED__SHIFT 6
#define PLAY_LED__SLW CYREG_PRT15_SLW

/* PLAY_DOWN */
#define PLAY_DOWN__0__INTTYPE CYREG_PICU2_INTTYPE7
#define PLAY_DOWN__0__MASK 0x80u
#define PLAY_DOWN__0__PC CYREG_PRT2_PC7
#define PLAY_DOWN__0__PORT 2u
#define PLAY_DOWN__0__SHIFT 7
#define PLAY_DOWN__AG CYREG_PRT2_AG
#define PLAY_DOWN__AMUX CYREG_PRT2_AMUX
#define PLAY_DOWN__BIE CYREG_PRT2_BIE
#define PLAY_DOWN__BIT_MASK CYREG_PRT2_BIT_MASK
#define PLAY_DOWN__BYP CYREG_PRT2_BYP
#define PLAY_DOWN__CTL CYREG_PRT2_CTL
#define PLAY_DOWN__DM0 CYREG_PRT2_DM0
#define PLAY_DOWN__DM1 CYREG_PRT2_DM1
#define PLAY_DOWN__DM2 CYREG_PRT2_DM2
#define PLAY_DOWN__DR CYREG_PRT2_DR
#define PLAY_DOWN__INP_DIS CYREG_PRT2_INP_DIS
#define PLAY_DOWN__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU2_BASE
#define PLAY_DOWN__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define PLAY_DOWN__LCD_EN CYREG_PRT2_LCD_EN
#define PLAY_DOWN__MASK 0x80u
#define PLAY_DOWN__PORT 2u
#define PLAY_DOWN__PRT CYREG_PRT2_PRT
#define PLAY_DOWN__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define PLAY_DOWN__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define PLAY_DOWN__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define PLAY_DOWN__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define PLAY_DOWN__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define PLAY_DOWN__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define PLAY_DOWN__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define PLAY_DOWN__PS CYREG_PRT2_PS
#define PLAY_DOWN__SHIFT 7
#define PLAY_DOWN__SLW CYREG_PRT2_SLW

/* PLAY_STOP */
#define PLAY_STOP__0__INTTYPE CYREG_PICU1_INTTYPE6
#define PLAY_STOP__0__MASK 0x40u
#define PLAY_STOP__0__PC CYREG_PRT1_PC6
#define PLAY_STOP__0__PORT 1u
#define PLAY_STOP__0__SHIFT 6
#define PLAY_STOP__AG CYREG_PRT1_AG
#define PLAY_STOP__AMUX CYREG_PRT1_AMUX
#define PLAY_STOP__BIE CYREG_PRT1_BIE
#define PLAY_STOP__BIT_MASK CYREG_PRT1_BIT_MASK
#define PLAY_STOP__BYP CYREG_PRT1_BYP
#define PLAY_STOP__CTL CYREG_PRT1_CTL
#define PLAY_STOP__DM0 CYREG_PRT1_DM0
#define PLAY_STOP__DM1 CYREG_PRT1_DM1
#define PLAY_STOP__DM2 CYREG_PRT1_DM2
#define PLAY_STOP__DR CYREG_PRT1_DR
#define PLAY_STOP__INP_DIS CYREG_PRT1_INP_DIS
#define PLAY_STOP__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU1_BASE
#define PLAY_STOP__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define PLAY_STOP__LCD_EN CYREG_PRT1_LCD_EN
#define PLAY_STOP__MASK 0x40u
#define PLAY_STOP__PORT 1u
#define PLAY_STOP__PRT CYREG_PRT1_PRT
#define PLAY_STOP__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define PLAY_STOP__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define PLAY_STOP__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define PLAY_STOP__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define PLAY_STOP__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define PLAY_STOP__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define PLAY_STOP__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define PLAY_STOP__PS CYREG_PRT1_PS
#define PLAY_STOP__SHIFT 6
#define PLAY_STOP__SLW CYREG_PRT1_SLW

/* ShiftReg_1_bSR */
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__16BIT_A0_REG CYREG_B0_UDB12_13_A0
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__16BIT_A1_REG CYREG_B0_UDB12_13_A1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__16BIT_D0_REG CYREG_B0_UDB12_13_D0
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__16BIT_D1_REG CYREG_B0_UDB12_13_D1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB12_13_ACTL
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__16BIT_F0_REG CYREG_B0_UDB12_13_F0
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__16BIT_F1_REG CYREG_B0_UDB12_13_F1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__A0_A1_REG CYREG_B0_UDB12_A0_A1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__A0_REG CYREG_B0_UDB12_A0
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__A1_REG CYREG_B0_UDB12_A1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__D0_D1_REG CYREG_B0_UDB12_D0_D1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__D0_REG CYREG_B0_UDB12_D0
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__D1_REG CYREG_B0_UDB12_D1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__DP_AUX_CTL_REG CYREG_B0_UDB12_ACTL
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__F0_F1_REG CYREG_B0_UDB12_F0_F1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__F0_REG CYREG_B0_UDB12_F0
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__F1_REG CYREG_B0_UDB12_F1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__MSK_DP_AUX_CTL_REG CYREG_B0_UDB12_MSK_ACTL
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u0__PER_DP_AUX_CTL_REG CYREG_B0_UDB12_MSK_ACTL
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__16BIT_A0_REG CYREG_B0_UDB13_14_A0
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__16BIT_A1_REG CYREG_B0_UDB13_14_A1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__16BIT_D0_REG CYREG_B0_UDB13_14_D0
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__16BIT_D1_REG CYREG_B0_UDB13_14_D1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB13_14_ACTL
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__16BIT_F0_REG CYREG_B0_UDB13_14_F0
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__16BIT_F1_REG CYREG_B0_UDB13_14_F1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__A0_A1_REG CYREG_B0_UDB13_A0_A1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__A0_REG CYREG_B0_UDB13_A0
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__A1_REG CYREG_B0_UDB13_A1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__D0_D1_REG CYREG_B0_UDB13_D0_D1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__D0_REG CYREG_B0_UDB13_D0
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__D1_REG CYREG_B0_UDB13_D1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__DP_AUX_CTL_REG CYREG_B0_UDB13_ACTL
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__F0_F1_REG CYREG_B0_UDB13_F0_F1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__F0_REG CYREG_B0_UDB13_F0
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__F1_REG CYREG_B0_UDB13_F1
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__MSK_DP_AUX_CTL_REG CYREG_B0_UDB13_MSK_ACTL
#define ShiftReg_1_bSR_sC16_BShiftRegDp_u1__PER_DP_AUX_CTL_REG CYREG_B0_UDB13_MSK_ACTL
#define ShiftReg_1_bSR_StsReg__0__MASK 0x01u
#define ShiftReg_1_bSR_StsReg__0__POS 0
#define ShiftReg_1_bSR_StsReg__1__MASK 0x02u
#define ShiftReg_1_bSR_StsReg__1__POS 1
#define ShiftReg_1_bSR_StsReg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB10_11_ACTL
#define ShiftReg_1_bSR_StsReg__16BIT_STATUS_REG CYREG_B0_UDB10_11_ST
#define ShiftReg_1_bSR_StsReg__2__MASK 0x04u
#define ShiftReg_1_bSR_StsReg__2__POS 2
#define ShiftReg_1_bSR_StsReg__3__MASK 0x08u
#define ShiftReg_1_bSR_StsReg__3__POS 3
#define ShiftReg_1_bSR_StsReg__4__MASK 0x10u
#define ShiftReg_1_bSR_StsReg__4__POS 4
#define ShiftReg_1_bSR_StsReg__5__MASK 0x20u
#define ShiftReg_1_bSR_StsReg__5__POS 5
#define ShiftReg_1_bSR_StsReg__6__MASK 0x40u
#define ShiftReg_1_bSR_StsReg__6__POS 6
#define ShiftReg_1_bSR_StsReg__MASK 0x7Fu
#define ShiftReg_1_bSR_StsReg__MASK_REG CYREG_B0_UDB10_MSK
#define ShiftReg_1_bSR_StsReg__MASK_ST_AUX_CTL_REG CYREG_B0_UDB10_MSK_ACTL
#define ShiftReg_1_bSR_StsReg__PER_ST_AUX_CTL_REG CYREG_B0_UDB10_MSK_ACTL
#define ShiftReg_1_bSR_StsReg__STATUS_AUX_CTL_REG CYREG_B0_UDB10_ACTL
#define ShiftReg_1_bSR_StsReg__STATUS_CNT_REG CYREG_B0_UDB10_ST_CTL
#define ShiftReg_1_bSR_StsReg__STATUS_CONTROL_REG CYREG_B0_UDB10_ST_CTL
#define ShiftReg_1_bSR_StsReg__STATUS_REG CYREG_B0_UDB10_ST
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__0__MASK 0x01u
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__0__POS 0
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB13_14_ACTL
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB13_14_CTL
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB13_14_CTL
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB13_14_CTL
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB13_14_CTL
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__16BIT_MASK_MASK_REG CYREG_B0_UDB13_14_MSK
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB13_14_MSK
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB13_14_MSK
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB13_14_MSK
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__CONTROL_AUX_CTL_REG CYREG_B0_UDB13_ACTL
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__CONTROL_REG CYREG_B0_UDB13_CTL
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__CONTROL_ST_REG CYREG_B0_UDB13_ST_CTL
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__COUNT_REG CYREG_B0_UDB13_CTL
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__COUNT_ST_REG CYREG_B0_UDB13_ST_CTL
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__MASK 0x01u
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB13_MSK_ACTL
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB13_MSK_ACTL
#define ShiftReg_1_bSR_SyncCtl_CtrlReg__PERIOD_REG CYREG_B0_UDB13_MSK

/* ShiftReg_2_bSR */
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u0__16BIT_A0_REG CYREG_B0_UDB14_15_A0
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u0__16BIT_A1_REG CYREG_B0_UDB14_15_A1
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u0__16BIT_D0_REG CYREG_B0_UDB14_15_D0
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u0__16BIT_D1_REG CYREG_B0_UDB14_15_D1
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB14_15_ACTL
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u0__16BIT_F0_REG CYREG_B0_UDB14_15_F0
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u0__16BIT_F1_REG CYREG_B0_UDB14_15_F1
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u0__A0_A1_REG CYREG_B0_UDB14_A0_A1
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u0__A0_REG CYREG_B0_UDB14_A0
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u0__A1_REG CYREG_B0_UDB14_A1
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u0__D0_D1_REG CYREG_B0_UDB14_D0_D1
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u0__D0_REG CYREG_B0_UDB14_D0
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u0__D1_REG CYREG_B0_UDB14_D1
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u0__DP_AUX_CTL_REG CYREG_B0_UDB14_ACTL
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u0__F0_F1_REG CYREG_B0_UDB14_F0_F1
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u0__F0_REG CYREG_B0_UDB14_F0
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u0__F1_REG CYREG_B0_UDB14_F1
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u1__A0_A1_REG CYREG_B0_UDB15_A0_A1
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u1__A0_REG CYREG_B0_UDB15_A0
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u1__A1_REG CYREG_B0_UDB15_A1
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u1__D0_D1_REG CYREG_B0_UDB15_D0_D1
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u1__D0_REG CYREG_B0_UDB15_D0
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u1__D1_REG CYREG_B0_UDB15_D1
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u1__DP_AUX_CTL_REG CYREG_B0_UDB15_ACTL
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u1__F0_F1_REG CYREG_B0_UDB15_F0_F1
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u1__F0_REG CYREG_B0_UDB15_F0
#define ShiftReg_2_bSR_sC16_BShiftRegDp_u1__F1_REG CYREG_B0_UDB15_F1
#define ShiftReg_2_bSR_StsReg__0__MASK 0x01u
#define ShiftReg_2_bSR_StsReg__0__POS 0
#define ShiftReg_2_bSR_StsReg__1__MASK 0x02u
#define ShiftReg_2_bSR_StsReg__1__POS 1
#define ShiftReg_2_bSR_StsReg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB12_13_ACTL
#define ShiftReg_2_bSR_StsReg__16BIT_STATUS_REG CYREG_B0_UDB12_13_ST
#define ShiftReg_2_bSR_StsReg__2__MASK 0x04u
#define ShiftReg_2_bSR_StsReg__2__POS 2
#define ShiftReg_2_bSR_StsReg__3__MASK 0x08u
#define ShiftReg_2_bSR_StsReg__3__POS 3
#define ShiftReg_2_bSR_StsReg__4__MASK 0x10u
#define ShiftReg_2_bSR_StsReg__4__POS 4
#define ShiftReg_2_bSR_StsReg__5__MASK 0x20u
#define ShiftReg_2_bSR_StsReg__5__POS 5
#define ShiftReg_2_bSR_StsReg__6__MASK 0x40u
#define ShiftReg_2_bSR_StsReg__6__POS 6
#define ShiftReg_2_bSR_StsReg__MASK 0x7Fu
#define ShiftReg_2_bSR_StsReg__MASK_REG CYREG_B0_UDB12_MSK
#define ShiftReg_2_bSR_StsReg__MASK_ST_AUX_CTL_REG CYREG_B0_UDB12_MSK_ACTL
#define ShiftReg_2_bSR_StsReg__PER_ST_AUX_CTL_REG CYREG_B0_UDB12_MSK_ACTL
#define ShiftReg_2_bSR_StsReg__STATUS_AUX_CTL_REG CYREG_B0_UDB12_ACTL
#define ShiftReg_2_bSR_StsReg__STATUS_CNT_REG CYREG_B0_UDB12_ST_CTL
#define ShiftReg_2_bSR_StsReg__STATUS_CONTROL_REG CYREG_B0_UDB12_ST_CTL
#define ShiftReg_2_bSR_StsReg__STATUS_REG CYREG_B0_UDB12_ST
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__0__MASK 0x01u
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__0__POS 0
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB12_13_ACTL
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB12_13_CTL
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB12_13_CTL
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB12_13_CTL
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB12_13_CTL
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__16BIT_MASK_MASK_REG CYREG_B0_UDB12_13_MSK
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB12_13_MSK
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB12_13_MSK
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB12_13_MSK
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__CONTROL_AUX_CTL_REG CYREG_B0_UDB12_ACTL
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__CONTROL_REG CYREG_B0_UDB12_CTL
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__CONTROL_ST_REG CYREG_B0_UDB12_ST_CTL
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__COUNT_REG CYREG_B0_UDB12_CTL
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__COUNT_ST_REG CYREG_B0_UDB12_ST_CTL
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__MASK 0x01u
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB12_MSK_ACTL
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB12_MSK_ACTL
#define ShiftReg_2_bSR_SyncCtl_CtrlReg__PERIOD_REG CYREG_B0_UDB12_MSK

/* Status_Reg_1 */
#define Status_Reg_1_sts_sts_reg__0__MASK 0x01u
#define Status_Reg_1_sts_sts_reg__0__POS 0
#define Status_Reg_1_sts_sts_reg__1__MASK 0x02u
#define Status_Reg_1_sts_sts_reg__1__POS 1
#define Status_Reg_1_sts_sts_reg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB13_14_ACTL
#define Status_Reg_1_sts_sts_reg__16BIT_STATUS_REG CYREG_B0_UDB13_14_ST
#define Status_Reg_1_sts_sts_reg__2__MASK 0x04u
#define Status_Reg_1_sts_sts_reg__2__POS 2
#define Status_Reg_1_sts_sts_reg__3__MASK 0x08u
#define Status_Reg_1_sts_sts_reg__3__POS 3
#define Status_Reg_1_sts_sts_reg__4__MASK 0x10u
#define Status_Reg_1_sts_sts_reg__4__POS 4
#define Status_Reg_1_sts_sts_reg__5__MASK 0x20u
#define Status_Reg_1_sts_sts_reg__5__POS 5
#define Status_Reg_1_sts_sts_reg__MASK 0x3Fu
#define Status_Reg_1_sts_sts_reg__MASK_REG CYREG_B0_UDB13_MSK
#define Status_Reg_1_sts_sts_reg__MASK_ST_AUX_CTL_REG CYREG_B0_UDB13_MSK_ACTL
#define Status_Reg_1_sts_sts_reg__PER_ST_AUX_CTL_REG CYREG_B0_UDB13_MSK_ACTL
#define Status_Reg_1_sts_sts_reg__STATUS_AUX_CTL_REG CYREG_B0_UDB13_ACTL
#define Status_Reg_1_sts_sts_reg__STATUS_CNT_REG CYREG_B0_UDB13_ST_CTL
#define Status_Reg_1_sts_sts_reg__STATUS_CONTROL_REG CYREG_B0_UDB13_ST_CTL
#define Status_Reg_1_sts_sts_reg__STATUS_REG CYREG_B0_UDB13_ST

/* Control_Reg_1 */
#define Control_Reg_1_Sync_ctrl_reg__0__MASK 0x01u
#define Control_Reg_1_Sync_ctrl_reg__0__POS 0
#define Control_Reg_1_Sync_ctrl_reg__1__MASK 0x02u
#define Control_Reg_1_Sync_ctrl_reg__1__POS 1
#define Control_Reg_1_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB10_11_ACTL
#define Control_Reg_1_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB10_11_CTL
#define Control_Reg_1_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB10_11_CTL
#define Control_Reg_1_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB10_11_CTL
#define Control_Reg_1_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB10_11_CTL
#define Control_Reg_1_Sync_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B0_UDB10_11_MSK
#define Control_Reg_1_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB10_11_MSK
#define Control_Reg_1_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB10_11_MSK
#define Control_Reg_1_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB10_11_MSK
#define Control_Reg_1_Sync_ctrl_reg__2__MASK 0x04u
#define Control_Reg_1_Sync_ctrl_reg__2__POS 2
#define Control_Reg_1_Sync_ctrl_reg__3__MASK 0x08u
#define Control_Reg_1_Sync_ctrl_reg__3__POS 3
#define Control_Reg_1_Sync_ctrl_reg__4__MASK 0x10u
#define Control_Reg_1_Sync_ctrl_reg__4__POS 4
#define Control_Reg_1_Sync_ctrl_reg__5__MASK 0x20u
#define Control_Reg_1_Sync_ctrl_reg__5__POS 5
#define Control_Reg_1_Sync_ctrl_reg__6__MASK 0x40u
#define Control_Reg_1_Sync_ctrl_reg__6__POS 6
#define Control_Reg_1_Sync_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B0_UDB10_ACTL
#define Control_Reg_1_Sync_ctrl_reg__CONTROL_REG CYREG_B0_UDB10_CTL
#define Control_Reg_1_Sync_ctrl_reg__CONTROL_ST_REG CYREG_B0_UDB10_ST_CTL
#define Control_Reg_1_Sync_ctrl_reg__COUNT_REG CYREG_B0_UDB10_CTL
#define Control_Reg_1_Sync_ctrl_reg__COUNT_ST_REG CYREG_B0_UDB10_ST_CTL
#define Control_Reg_1_Sync_ctrl_reg__MASK 0x7Fu
#define Control_Reg_1_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB10_MSK_ACTL
#define Control_Reg_1_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB10_MSK_ACTL
#define Control_Reg_1_Sync_ctrl_reg__PERIOD_REG CYREG_B0_UDB10_MSK

/* Miscellaneous */
#define CY_PROJECT_NAME "CF_audio"
#define CY_VERSION "PSoC Creator  3.3 CP1"
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PANTHER 18u
#define CYDEV_CHIP_DIE_PSOC4A 10u
#define CYDEV_CHIP_DIE_PSOC5LP 17u
#define CYDEV_CHIP_DIE_TMA4 2u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC3
#define CYDEV_CHIP_JTAG_ID 0x1E01E069u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 10u
#define CYDEV_CHIP_MEMBER_4C 15u
#define CYDEV_CHIP_MEMBER_4D 6u
#define CYDEV_CHIP_MEMBER_4E 4u
#define CYDEV_CHIP_MEMBER_4F 11u
#define CYDEV_CHIP_MEMBER_4G 2u
#define CYDEV_CHIP_MEMBER_4H 9u
#define CYDEV_CHIP_MEMBER_4I 14u
#define CYDEV_CHIP_MEMBER_4J 7u
#define CYDEV_CHIP_MEMBER_4K 8u
#define CYDEV_CHIP_MEMBER_4L 13u
#define CYDEV_CHIP_MEMBER_4M 12u
#define CYDEV_CHIP_MEMBER_4N 5u
#define CYDEV_CHIP_MEMBER_4U 3u
#define CYDEV_CHIP_MEMBER_5A 17u
#define CYDEV_CHIP_MEMBER_5B 16u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_3A
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_MEMBER_USED
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CHIP_REV_TMA4_ES 17u
#define CYDEV_CHIP_REV_TMA4_ES2 33u
#define CYDEV_CHIP_REV_TMA4_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4C_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4D_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4E_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256DMA 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256K 0u
#define CYDEV_CHIP_REVISION_4G_ES 17u
#define CYDEV_CHIP_REVISION_4G_ES2 33u
#define CYDEV_CHIP_REVISION_4G_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4H_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4I_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4J_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4K_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4L_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4M_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4N_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4U_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_3A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REVISION_USED
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CONFIGURATION_CLEAR_SRAM 1
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x01u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x00008000u
#define CYDEV_IS_EXPORTING_CODE 0
#define CYDEV_IS_IMPORTING_CODE 0
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LAUNCHER 5
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER 4
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5.0
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5.0
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5.0
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5.0
#define CYDEV_VIO3_MV 5000
#define CYIPBLOCK_DP8051_VERSION 0
#define CYIPBLOCK_P3_ANAIF_VERSION 0
#define CYIPBLOCK_P3_CAPSENSE_VERSION 0
#define CYIPBLOCK_P3_COMP_VERSION 0
#define CYIPBLOCK_P3_DECIMATOR_VERSION 0
#define CYIPBLOCK_P3_DFB_VERSION 0
#define CYIPBLOCK_P3_DMA_VERSION 0
#define CYIPBLOCK_P3_DRQ_VERSION 0
#define CYIPBLOCK_P3_DSM_VERSION 0
#define CYIPBLOCK_P3_EMIF_VERSION 0
#define CYIPBLOCK_P3_I2C_VERSION 0
#define CYIPBLOCK_P3_LCD_VERSION 0
#define CYIPBLOCK_P3_LPF_VERSION 0
#define CYIPBLOCK_P3_OPAMP_VERSION 0
#define CYIPBLOCK_P3_PM_VERSION 0
#define CYIPBLOCK_P3_SCCT_VERSION 0
#define CYIPBLOCK_P3_TIMER_VERSION 0
#define CYIPBLOCK_P3_USB_VERSION 0
#define CYIPBLOCK_P3_VIDAC_VERSION 0
#define CYIPBLOCK_P3_VREF_VERSION 0
#define CYIPBLOCK_S8_GPIO_VERSION 0
#define CYIPBLOCK_S8_IRQ_VERSION 0
#define CYIPBLOCK_S8_SIO_VERSION 0
#define CYIPBLOCK_S8_UDB_VERSION 0
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
